package com.emato.cuspay.common.contant;

/**
 * @author zx
 * @version 1.0
 * 2018-05-15 13:56
 */
public abstract class Dict {

    /**
     * 微信支付单证状态
     */
    public enum PaymentDocStatus {
        i_00("00","待申报"),
        i_01("01", "申报中"),
        i_03("03", "申报失败"),
        i_10("10", "等待处理"),
        i_11("11","业务成功"),
        i_12("12", "业务处理失败"),

        i_20("20", "未申报"),
        i_21("21","申报已提交"),
        i_22("22", "申报中"),
        i_23("23", "申报成功"),
        i_24("24", "申报失败"),
        i_25("25", "海关接口异常");


        private String item;
        private String itemName;

        PaymentDocStatus(String item, String itemName){
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum  ResponseMsgState{
        UNDECLARED("UNDECLARED", "未申报"),
        SUBMITTED("SUBMITTED","申报已提交"),
        PROCESSING("PROCESSING","申报中"),
        SUCCESS("SUCCESS","申报成功"),
        FAIL("FAIL","申报失败"),
        EXCEPT("EXCEPT","海关接口异常");

        private String item;
        private String itemName;

        ResponseMsgState(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum Whether {
        Yes("Y", "是"),
        No("N","否");

        private String item;
        private String itemName;

        Whether(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }
}
