package com.emato.cuspay.service.wx;

import com.emato.cuspay.dao.data.wx.WxCbPayDoc;
import com.emato.cuspay.dao.mapper.wx.WxCbPayDocMapper;
import com.emato.cuspay.support.msg.resp.ResponseMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zx
 * @version 1.0
 * 2018-05-15 09:36
 */

@Service
public interface CusPayService {

    /**
     * @Description 支付单申报
     * @return
     */
    void declarePayment();

    /**
     * 定时器扫描 通知商户报关状态
     */
    void notifyMecher();

    /**
     * 微信支付单入库
     * @param wxCbPayDoc 微信支付单证
     * @return
     */
    ResponseMessage addWxCbPayDoc(WxCbPayDoc wxCbPayDoc);

}
